# ns-1.kunbox.net
# Frankfurt, Germany

nodes['gce.bind01'] = {
    'hostname': '34.89.208.78',
    'bundles': {
        'nodejs',
        'powerdnsadmin',
    },
    'groups': {
        'debian-buster',
        'dns',
        'webserver',
    },
    'metadata': {
        'backups': {
            # This is the primary DNS server. However, we only use
            # replication for DynDNS, currently. No need for backups here.
            'exclude_from_backups': True,
        },
        'interfaces': {
            'ens4': {
                'ips': {
                    '10.156.0.4',
                },
                'gateway4': '10.156.0.1',
            },
        },
        'external_ipv4': '34.89.208.78',
        'icinga_options': {
            'pretty_name': 'ns-1.kunbox.net',
        },
        'nginx': {
            'vhosts': {
                'ns-1.kunbox.net': {
                    'locations': {
                        '/': {
                            'target': 'http://127.0.0.1:8000/',
                        },
                    },
                    'website_check_path': '/login',
                    'website_check_string': 'PowerDNS',
                },
            },
        },
        'powerdns': {
            'is_secondary': False,
            'secondary_nameservers': 'dns',
            'my_hostname': 'ns-1.kunbox.net',
        },
        'powerdnsadmin': {
            'version': 'v0.2.4',
        },
        'vm': {
            'cpu': 1,
            'ram': 1,
        },
    },
}
